Xerces2 Implementation: Class XMLEntityManager.Entity

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl
Class XMLEntityManager.Entity

    java.lang.Object
      |
      +--org.apache.xerces.impl.XMLEntityManager.Entity

Direct Known Subclasses:
  XMLEntityManager.ExternalEntity, XMLEntityManager.InternalEntity, XMLEntityManager.ScannedEntity

Enclosing class:
  XMLEntityManager

public abstract static class XMLEntityManager.Entity
extends java.lang.Object

Entity information.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Author:
  Andy Clark, IBM

Field Summary
`boolean` | `inExternalSubset`
`java.lang.String` | `name` Entity name.

Constructor Summary
`XMLEntityManager.Entity()` Default constructor.
`XMLEntityManager.Entity(java.lang.String name, boolean inExternalSubset)` Constructs an entity.

Method Summary
`void` | `clear()` Clears the entity.
`boolean` | `isEntityDeclInExternalSubset()` Returns true if this entity was declared in the external subset.
`abstract boolean` | `isExternal()` Returns true if this is an external entity.
`abstract boolean` | `isUnparsed()` Returns true if this is an unparsed entity.
`void` | `setValues(XMLEntityManager.Entity entity)` Sets the values of the entity.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  Entity name.

### inExternalSubset

    public boolean inExternalSubset

Constructor Detail

### XMLEntityManager.Entity

    public XMLEntityManager.Entity()

  Default constructor.

### XMLEntityManager.Entity

    public XMLEntityManager.Entity(java.lang.String name,
                                   boolean inExternalSubset)

  Constructs an entity.

Method Detail

### isEntityDeclInExternalSubset

    public boolean isEntityDeclInExternalSubset()

  Returns true if this entity was declared in the external subset.

### isExternal

    public abstract boolean isExternal()

  Returns true if this is an external entity.

### isUnparsed

    public abstract boolean isUnparsed()

  Returns true if this is an unparsed entity.

### clear

    public void clear()

  Clears the entity.

### setValues

    public void setValues(XMLEntityManager.Entity entity)

  Sets the values of the entity.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.